package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KelompokTindakanMedis
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KelompokTindakanMedis_M")
public class KelompokTindakanMedisVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@Caption(value="Kode Kelompok T M")
	private Byte kdKelompokTM;

	public void setKdKelompokTM(Byte kdKelompokTM) {
		this.kdKelompokTM = kdKelompokTM;
	}

	@Column(name = "KdKelompokTM", nullable = false )
	public Byte getKdKelompokTM(){
		return this.kdKelompokTM;
	}

	@Caption(value="Kelompok T M")
	private String kelompokTM;

	public void setKelompokTM(String kelompokTM) {
		this.kelompokTM = kelompokTM;
	}

	@Column(name = "KelompokTM", nullable = false , length = 30)
	public String getKelompokTM(){
		return this.kelompokTM;
	}

	@Caption(value="QKelompok T M")
	private Byte qKelompokTM;

	public void setqKelompokTM(Byte qKelompokTM) {
		this.qKelompokTM = qKelompokTM;
	}

	@Column(name = "QKelompokTM", nullable = false )
	public Byte getqKelompokTM(){
		return this.qKelompokTM;
	}

	/*//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdkelompoktm")
	private Set<JenisTindakanMedis> JenisTindakanMedisSet = new HashSet<JenisTindakanMedis>();

	public Set<JenisTindakanMedis> getJenisTindakanMedisSet() {
		return JenisTindakanMedisSet;
	}

	public void setJenisTindakanMedisSet(Set<JenisTindakanMedis> jenisTindakanMedisSet) {
		JenisTindakanMedisSet = jenisTindakanMedisSet;
	}*/

}

